<?php

namespace App\Policies;

use Illuminate\Auth\Access\Response;
use App\Models\EbReading;
use App\Models\User;

class EbReadingPolicy
{
    /**
     * Determine whether the user can view any models.
     */
    public function viewAny(User $user): bool
    {
        return $user->checkPermissionTo('view-any EbReading');
    }

    /**
     * Determine whether the user can view the model.
     */
    public function view(User $user, EbReading $ebreading): bool
    {
        return $user->checkPermissionTo('view EbReading');
    }

    /**
     * Determine whether the user can create models.
     */
    public function create(User $user): bool
    {
        return $user->checkPermissionTo('create EbReading');
    }

    /**
     * Determine whether the user can update the model.
     */
    public function update(User $user, EbReading $ebreading): bool
    {
        return $user->checkPermissionTo('update EbReading');
    }

    /**
     * Determine whether the user can delete the model.
     */
    public function delete(User $user, EbReading $ebreading): bool
    {
        return $user->checkPermissionTo('delete EbReading');
    }

    /**
     * Determine whether the user can delete any models.
     */
    public function deleteAny(User $user): bool
    {
        return $user->checkPermissionTo('delete-any EbReading');
    }

    /**
     * Determine whether the user can restore the model.
     */
    public function restore(User $user, EbReading $ebreading): bool
    {
        return $user->checkPermissionTo('restore EbReading');
    }

    /**
     * Determine whether the user can restore any models.
     */
    public function restoreAny(User $user): bool
    {
        return $user->checkPermissionTo('restore-any EbReading');
    }

    /**
     * Determine whether the user can replicate the model.
     */
    public function replicate(User $user, EbReading $ebreading): bool
    {
        return $user->checkPermissionTo('replicate EbReading');
    }

    /**
     * Determine whether the user can reorder the models.
     */
    public function reorder(User $user): bool
    {
        return $user->checkPermissionTo('reorder EbReading');
    }

    /**
     * Determine whether the user can permanently delete the model.
     */
    public function forceDelete(User $user, EbReading $ebreading): bool
    {
        return $user->checkPermissionTo('force-delete EbReading');
    }

    /**
     * Determine whether the user can permanently delete any models.
     */
    public function forceDeleteAny(User $user): bool
    {
        return $user->checkPermissionTo('force-delete-any EbReading');
    }
}
